# API Endpoints

## GET Add to Apple Wallet

On success, it will return a .pkpass

#### Example of request:

```
https://api.certhis.io/pass
```

{% tabs %}
{% tab title="REQUEST" %}
Query Parameters<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>nft_id</td><td>the id of the NFT </td></tr><tr><td>chain_id</td><td>the chain id of the collection</td></tr><tr><td>collection_address</td><td>the collection address</td></tr><tr><td>sign_message</td><td>the signed message</td></tr><tr><td>sign_id</td><td>the id of the signature</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## GET Add to Google Wallet

On success, it will return a .pkpass

#### Example of request:

```
https://api.certhis.io/pass_google
```

{% tabs %}
{% tab title="REQUEST" %}
Query Parameters<br>

<table><thead><tr><th width="395">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>nft_id</td><td>the id of the NFT </td></tr><tr><td>chain_id</td><td>the chain id of the collection</td></tr><tr><td>collection_address</td><td>the collection address</td></tr><tr><td>sign_message</td><td>the signed message</td></tr><tr><td>sign_id</td><td>the id of the signature</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

## POST Send Notification

On success, user will receive a notification from his Apple Wallet

#### Example of request:

```
https://api.certhis.io/notification/send
```

{% tabs %}
{% tab title="REQUEST" %}
Query Parameters<br>

<table><thead><tr><th width="319">Parameter</th><th>Description</th></tr></thead><tbody><tr><td>collection_index</td><td>the id of the collection</td></tr><tr><td>wallet</td><td>wallet address of the collection owner</td></tr><tr><td>message</td><td>notification message</td></tr><tr><td>campaign_name</td><td>name of the notification campaign</td></tr><tr><td>link</td><td>str representing the link on the notification (not-required)</td></tr><tr><td>signature</td><td>the signature</td></tr></tbody></table>

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certhis.io/apple-and-google-wallet/api-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
